Bug 565325 - kcbench ignores '-c' switch
Summary: kcbench ignores '-c' switch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kcbench
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thorsten Leemhuis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-14 19:00 UTC by James Heather
Modified: 2010-07-30 08:43 UTC (History)
1 user (show)

Fixed In Version: kcbench-0.3-6.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-30 08:35:48 UTC


Attachments (Terms of Use)

Description James Heather 2010-02-14 19:00:41 UTC
Description of problem:

From kcbench --help :

Available options:
 -d, --compiledir <path>      -- use <path>/kcbench for compile results (O=)
 -r, --detailedresults        -- print more detailed results
 -a, --ignore-running-apps    -- Do not warn if cron or other daemons run
 -i, --infinite               -- run endlessly
 -n, --iterations <int>       -- number or iterations
 -j, --jobs <int>             -- number of jobs to use ('make -j #') (*)
 -c, --no-cachefill           -- omit the initial kernel compile to fill caches

The '-c' option doesn't work if it is invoked with '-c', but does work if it is invoked with '--no-cachefill'.

Version-Release number of selected component (if applicable):

kcbench-0.3-3.1.noarch

How reproducible:

100%

Steps to Reproduce:
1. kcbench -c
  
Actual results:

kcbench reports

  Filling caches:     This might take a while...

Expected results:

kcbench doesn't bother to fill the caches

Additional info:

Running kcbench --no-cache-fill works as expected.

Comment 1 James Heather 2010-02-14 19:01:19 UTC
Sorry, minor typo in last line: I meant '--no-cachefill' rather than '--no-cache-fill'.

Comment 2 Fedora Update System 2010-04-24 16:20:10 UTC
kcbench-0.3-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kcbench-0.3-4.fc13

Comment 3 Fedora Update System 2010-04-24 16:21:21 UTC
kcbench-0.3-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kcbench-0.3-4.fc12

Comment 4 Thorsten Leemhuis 2010-04-24 16:36:29 UTC
(sorry that it took so long to fix this -- fell through the radar)

Comment 5 Fedora Update System 2010-04-25 13:53:06 UTC
kcbench-0.3-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kcbench'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kcbench-0.3-4.fc13

Comment 6 Fedora Update System 2010-04-27 02:27:11 UTC
kcbench-0.3-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kcbench'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kcbench-0.3-4.fc12

Comment 7 Fedora Update System 2010-05-24 08:06:42 UTC
kcbench-0.3-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kcbench-0.3-5.fc12

Comment 8 Fedora Update System 2010-05-24 08:07:55 UTC
kcbench-0.3-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kcbench-0.3-5.fc13

Comment 9 Fedora Update System 2010-05-24 19:43:02 UTC
kcbench-0.3-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kcbench'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kcbench-0.3-5.fc12

Comment 10 Fedora Update System 2010-05-24 19:46:28 UTC
kcbench-0.3-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kcbench'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kcbench-0.3-5.fc13

Comment 11 Fedora Update System 2010-07-04 15:23:33 UTC
kcbench-0.3-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kcbench-0.3-6.fc12

Comment 12 Fedora Update System 2010-07-04 15:24:30 UTC
kcbench-0.3-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kcbench-0.3-6.fc13

Comment 13 Fedora Update System 2010-07-06 17:14:23 UTC
kcbench-0.3-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kcbench'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kcbench-0.3-6.fc13

Comment 14 Fedora Update System 2010-07-06 17:32:28 UTC
kcbench-0.3-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kcbench'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kcbench-0.3-6.fc12

Comment 15 Fedora Update System 2010-07-30 08:35:43 UTC
kcbench-0.3-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-07-30 08:43:24 UTC
kcbench-0.3-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.